<?php

include_once 'database.php';
spl_autoload_register(function ($class_name) {
    include_once $class_name . '.php';
});
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class Configurations {

    //put your code here

    private static $table_name = 'configurations';

    public static function save($android_redirect_url, $ios_redirect_url, $desktop_redirect_url) {

        if (self::does_already_exist()) {
            $param_key_val_arr = array(
                'android_redirect_url' => $android_redirect_url,
                'ios_redirect_url' => $ios_redirect_url,
                'desktop_redirect_url' => $desktop_redirect_url
            );
            $where_key_val_arr = array(
                'id' => '1'
            );
            return DB_helper::run_update(self::$table_name, $param_key_val_arr, $where_key_val_arr);
        } else {
            $key_val_arr = array(
                'android_redirect_url' => $android_redirect_url,
                'ios_redirect_url' => $ios_redirect_url,
                'desktop_redirect_url' => $desktop_redirect_url
            );
            return DB_helper::run_insert(self::$table_name, $key_val_arr);
        }
    }

    public static function does_already_exist() {
        $key_arr = array('id');
        $where_key_val_arr = array(
            'id' => '1'
        );
        $res = DB_helper::run_select(self::$table_name, $key_arr, $where_key_val_arr);
        if ($res !== FALSE) {
            return $res[0]['id'] > 0;
        }
        return FALSE;
    }

    public static function get_android_redirect_url() {
        $key_arr = array('android_redirect_url');
        $where_key_val_arr = array(
            'id' => '1'
        );
        $res = DB_helper::run_select(self::$table_name, $key_arr, $where_key_val_arr);
        if ($res !== FALSE) {
            return $res[0]['android_redirect_url'];
        }
        return '';
    }

    public static function get_ios_redirect_url() {
        $key_arr = array('ios_redirect_url');
        $where_key_val_arr = array(
            'id' => '1'
        );
        $res = DB_helper::run_select(self::$table_name, $key_arr, $where_key_val_arr);
        if ($res !== FALSE) {
            return $res[0]['ios_redirect_url'];
        }
        return '';
    }

    public static function get_desktop_redirect_url() {
        $key_arr = array('desktop_redirect_url');
        $where_key_val_arr = array(
            'id' => '1'
        );
        $res = DB_helper::run_select(self::$table_name, $key_arr, $where_key_val_arr);
        if ($res !== FALSE) {
            return $res[0]['desktop_redirect_url'];
        }
        return '';
    }

}
