<?php

include_once 'database.php';
spl_autoload_register(function ($class_name) {
    include_once $class_name . '.php';
});
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of DB_helper
 *
 * @author HP
 */
class DB_helper {

    //put your code here


    public static function run_insert($table_name, $key_val_arr = array()) {

        if (!is_array($key_val_arr)) {
            return FALSE;
        }

        if (count($key_val_arr) == 0) {
            return FALSE;
        }

        $querystr_key = "";
        $querystr_val = "";

        foreach ($key_val_arr as $key => $value) {
            $querystr_key = $querystr_key . "`$key`,";
            $querystr_val = $querystr_val . "'" . addslashes($value) . "',";
        }

        $querystr_key = rtrim($querystr_key, ',');
        $querystr_val = rtrim($querystr_val, ',');


        $query = mysqli_query($GLOBALS['db_connection'], "INSERT INTO `$table_name` ($querystr_key) VALUES ($querystr_val)");
        if ($query) {
            return mysqli_insert_id($GLOBALS['db_connection']);
        }
        return FALSE;
    }

    public static function run_update($table_name, $param_key_val_arr = array(), $where_key_val_arr = array()) {

        if (!is_array($param_key_val_arr)) {
            return FALSE;
        }

        if (count($param_key_val_arr) == 0) {
            return FALSE;
        }

        if (!is_array($where_key_val_arr)) {
            return FALSE;
        }

        if (count($where_key_val_arr) == 0) {
            return FALSE;
        }


        $querystr_param = "";
        foreach ($param_key_val_arr as $key => $value) {
            $querystr_param = $querystr_param . "`$key` = '" . addslashes($value) . "',";
        }
        $querystr_param = rtrim($querystr_param, ',');

        $querystr_where = "";
        foreach ($where_key_val_arr as $key => $value) {
            $querystr_where = $querystr_where . " `$key` = '" . addslashes($value) . "' and";
        }
        $querystr_where = rtrim($querystr_where, 'and');

        $query_str = "UPDATE $table_name SET $querystr_param WHERE $querystr_where";

        //Email_sender::send_debug_email_to_developer($query_str);

        $query = mysqli_query($GLOBALS['db_connection'], $query_str);
        if ($query) {
            return TRUE;
        }
        return FALSE;
    }

    public static function run_select($table_name, $key_arr = array(), $where_key_val_arr = array(), $order_by = 'id asc') {



        if (!is_array($key_arr)) {
            return FALSE;
        }

        if (count($key_arr) == 0) {
            return FALSE;
        }


        if (!is_array($where_key_val_arr)) {
            return FALSE;
        }

        if (count($where_key_val_arr) == 0) {
            return FALSE;
        }

        $querystr_param = "";
        foreach ($key_arr as $key) {
            $querystr_param = $querystr_param . "`$key`,";
        }
        $querystr_param = str_replace('`*`', '*', $querystr_param);
        $querystr_param = rtrim($querystr_param, ',');


        $querystr_where = "";
        foreach ($where_key_val_arr as $key => $value) {
            $querystr_where = $querystr_where . " `$key` = '" . addslashes($value) . "' and";
        }
        $querystr_where = rtrim($querystr_where, 'and');

        $query = mysqli_query($GLOBALS['db_connection'], "select $querystr_param from $table_name where $querystr_where order by $order_by");
        if ($query && mysqli_num_rows($query) > 0) {
            $arr = array();
            while ($row = mysqli_fetch_assoc($query)) {
                $arr[] = $row;
            }
            return $arr;
        }
        return FALSE;
    }

}
