<?php

spl_autoload_register(function ($class_name) {
    include_once $class_name . '.php';
});
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$http_user_agent = $_SERVER['HTTP_USER_AGENT'];
$remote_addr = $_SERVER['REMOTE_ADDR'];
$client_ip = Utils::getUserIP();
$visitorid = md5($http_user_agent . '|' . $client_ip);

$iPod = stripos($_SERVER['HTTP_USER_AGENT'], "iPod") !== FALSE;
$iPhone = stripos($_SERVER['HTTP_USER_AGENT'], "iPhone") !== FALSE;
$iPad = stripos($_SERVER['HTTP_USER_AGENT'], "iPad") !== FALSE;
$Android = stripos($_SERVER['HTTP_USER_AGENT'], "Android") !== FALSE;
$webOS = stripos($_SERVER['HTTP_USER_AGENT'], "webOS") !== FALSE;

$redirect_url = Configurations::get_desktop_redirect_url();
$platform = Platform::$platform_desktop;

if ($iPod || $iPhone || $iPad) {
    $redirect_url = Configurations::get_ios_redirect_url();
    $platform = Platform::$platform_ios;
} else if ($Android) {
    $redirect_url = Configurations::get_android_redirect_url();
    $platform = Platform::$platform_android;
}


Visits::save($platform, $http_user_agent, $remote_addr, $client_ip, $visitorid);

if (empty($redirect_url)) {
    die('Redirect URL is empty');
}



header('location: ' . $redirect_url);
exit();
