<?php

include_once 'database.php';
spl_autoload_register(function ($class_name) {
    include_once $class_name . '.php';
});
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class Visits {

    //put your code here

    private static $table_name = 'visits';

    public static function save($platform, $http_user_agent, $remote_addr, $client_ip, $visitorid) {

        $key_val_arr = array(
            'platform' => $platform,
            'http_user_agent' => $http_user_agent,
            'remote_addr' => $remote_addr,
            'client_ip' => $client_ip,
            'visitorid' => $visitorid
        );
        return DB_helper::run_insert(self::$table_name, $key_val_arr);
    }

    public static function get_alltime_visits($platform) {
        $key_arr = array('id');
        $where_key_val_arr = array(
            'platform' => $platform
        );
        $res = DB_helper::run_select(self::$table_name, $key_arr, $where_key_val_arr);
        if ($res !== FALSE) {
            return count($res);
        }
        return '0';
    }

    public static function get_alltime_visits_unique($platform) {

        $query = mysqli_query($GLOBALS['db_connection'], "select id from " . self::$table_name . " where platform = '$platform' group by visitorid");
        if ($query) {
            return mysqli_num_rows($query);
        }
        return '0';
    }

    public static function get_24hr_visits($platform) {

        $query = mysqli_query($GLOBALS['db_connection'], "select id from " . self::$table_name . " where platform = '$platform' and date > DATE_SUB(NOW(), INTERVAL 24 HOUR)");
        if ($query) {
            return mysqli_num_rows($query);
        }
        return '0';
    }

    public static function get_24hr_visits_unique($platform) {

        $query = mysqli_query($GLOBALS['db_connection'], "select id from " . self::$table_name . " where platform = '$platform' and date > DATE_SUB(NOW(), INTERVAL 24 HOUR) group by visitorid");
        if ($query) {
            return mysqli_num_rows($query);
        }
        return '0';
    }

}
