<?php

@session_start();
header("Access-Control-Allow-Origin: *");
spl_autoload_register(function ($class_name) {
    include_once $class_name . '.php';
});
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

if (isset($_REQUEST['cmd'])) {

    if ($_REQUEST['cmd'] == 'create_db') {

        $db_server = $_REQUEST['db_server'];
        $db_user_name = $_REQUEST['db_user_name'];
        $db_password = $_REQUEST['db_password'];
        $db_name = $_REQUEST['db_name'];

        session_unset();

        $db_connection = mysqli_connect($db_server, $db_user_name, $db_password, $db_name);
        if (mysqli_connect_errno()) {
            $_SESSION["error"] = mysqli_connect_error();
            header('location: ' . $_SERVER['HTTP_REFERER']);
        } else {

            // create database tables
            $command = file_get_contents('sqldb.sql');
            mysqli_multi_query($db_connection, $command);

            // write db file 
            $database_temp_file = file_get_contents('database_temp.php');
            $database_temp = str_replace(array('db_server', 'db_user_name', 'db_password', 'db_name'), array($db_server, $db_user_name, $db_password, $db_name), $database_temp_file);
            file_put_contents("database.php", $database_temp);

            // rename install file
            $install_file_name = 'install_' . uniqid() . '.php';
            rename("install.php", $install_file_name);

            // redirect to config
            header('location: config.php');
        }


        exit();
    }

    if ($_REQUEST['cmd'] == 'save_config') {

        $android_redirect_url = $_REQUEST['android_redirect_url'];
        $ios_redirect_url = $_REQUEST['ios_redirect_url'];
        $desktop_redirect_url = $_REQUEST['desktop_redirect_url'];

        Configurations::save($android_redirect_url, $ios_redirect_url, $desktop_redirect_url);

        header('location: ' . $_SERVER['HTTP_REFERER']);
        exit();
    }
}