<?php
@session_start();
spl_autoload_register(function ($class_name) {
    include_once $class_name . '.php';
});
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Install</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </head>
    <body>

        <div class="container">

            <h2>Database Installation</h2>

            <div class="alert alert-danger" style="display: <?php echo (isset($_SESSION['error']) && !empty($_SESSION['error'])) ? '' : 'none'; ?>">
                <strong>Error!</strong> <?php echo $_SESSION['error']; ?>.
            </div>

            <form action="ajax.php" method="POST">
                <input type="text" id="cmd" name="cmd" value="create_db" style="display: none;">

                <div class="form-group">
                    <label for="email">Database Server:</label>
                    <input type="text" class="form-control" required="" id="db_server" name="db_server" placeholder="localhost" value="" >
                </div>
                <div class="form-group">
                    <label for="email">Database User Name:</label>
                    <input type="text" class="form-control" required="" id="db_user_name" name="db_user_name" placeholder="" value="" >
                </div>
                <div class="form-group">
                    <label for="email">Database Password:</label>
                    <input type="text" class="form-control" required="" id="db_password" name="db_password" placeholder="" value="" >
                </div>
                <div class="form-group">
                    <label for="email">Database Name:</label>
                    <input type="text" class="form-control" required="" id="db_name" name="db_name" placeholder="" value="" >
                </div>

                <button type="submit" class="btn btn-primary">Install Now</button>
            </form>
        </div>


    </body>
</html>